#include <bits/stdc++.h>

using namespace std;

int main()
{
    int n,k;
    cin>>n>>k;
    int a[n];
    for(int i=0;i<n;i++)
        cin>>a[i];
    sort(a,a+n);
    int clan[n];
    int br=1,d=0,j=0;
    for(int i=0;i<n-1;i++)
    {
        if(a[i]==a[i+1])    br++;
        else{
            if(br>=k ){
                clan[j]=a[i];
                j++;
                d++;
            }
            br=1;
        }
    }
    if(br>=k){
        clan[j]=a[n-1];
        d++;
    }
    cout<<d<<endl;
    for(int i=0;i<d;i++)
        cout<<clan[i]<<" ";
    return 0;
}